This service will be undergoing non-disruptive maintenance at 07:20 UTC, 2018-12-14. It is expected to last approximately 30 minutes
Bug 67869 - Missing C++ header files
Summary: Missing C++ header files
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: db3 (Show other bugs)
(Show other bugs)
Version: 7.3
Hardware: All Linux
medium
high
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-07-03 14:32 UTC by bac
Modified: 2007-04-18 16:43 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-06 18:59:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to db3.spec (874 bytes, patch)
2002-07-03 14:34 UTC, bac
no flags Details | Diff

Description bac 2002-07-03 14:32:21 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux alpha; en-US; rv:1.0.0) Gecko/20020614
Debian/1.0.0-3

Description of problem:
Two headers files which appear to have been introduced in later versions of db3
are missing from the db3-devel package.  These are
/usr/include/db3/cxx_common.h
/usr/include/db3/cxx_except.h

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Attempt to build a C++ program using the db3_cxx.h interface to db3.


Actual Results:  Reports missing header files.

Additional info:

I will attach a patch which fixes the spec file.

Comment 1 bac 2002-07-03 14:34:58 UTC
Created attachment 63505 [details]
Patch to db3.spec

Comment 2 Bill Nottingham 2003-01-06 18:59:23 UTC
This is fixed in the 8.0 packages.


Note You need to log in before you can comment on or make changes to this bug.